package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyitemsround.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public interface ElderlyItemsRoundService {

    Long create(ElderlyItemsRoundSaveReqVO createReqVO);

    void update(ElderlyItemsRoundSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyItemsRoundRespVO get(ElderlyItemsRoundPageReqVO reqVO);

    PageResult<ElderlyItemsRoundPageRespVO> getPage(ElderlyItemsRoundPageReqVO pageReqVO);

    Boolean batchCreate(ElderlyItemsRoundBatchSaveReqVO reqVO);

    void exportExcel(String yearMonth, HttpServletResponse response) throws IOException;
}
